Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Interface InputPatternListener

All Superinterfaces:
  NeuralElement

All Known Implementing Classes:
  AbstractTeacherSynapse, BufferedSynapse, ComparisonSynapse, DelaySynapse, DirectSynapse, FahlmanTeacherSynapse, FileInputSynapse, FileOutputSynapse, FreudRuleFullSynapse, FullSynapse, ImageInputSynapse, ImageOutputSynapse, InputConnector, InputSwitchSynapse, JDBCInputSynapse, JDBCOutputSynapse, KohonenSynapse, LearningSwitch, MemoryInputSynapse, MemoryOutputSynapse, MultipleInputSynapse, PatternForwardedSynapse, RbfInputSynapse, SangerSynapse, StreamInputSynapse, StreamOutputSynapse, Synapse, TeacherSynapse, URLInputSynapse, XLSInputSynapse, XLSOutputSynapse, YahooFinanceInputSynapse

    public interface InputPatternListener

extends NeuralElement

This interface represents an input synapse for a generic layer.

Method Summary
`Pattern` | `fwdGet()` Returns the pattern coming from the previous layer during the recall phase
`int` | `getOutputDimension()` Returns the dimension of the input synapse
`boolean` | `isInputFull()`
`void` | `reset()` reset of the input synapse
`void` | `revPut(Pattern pattern)` Method to put an error pattern backward to the previous layer
`void` | `setInputFull(boolean inputFull)`
`void` | `setOutputDimension(int newOutputDimension)` Sets the dimension of the input synapse

Methods inherited from interface org.joone.engine.NeuralElement
`check, getMonitor, getName, init, isEnabled, setEnabled, setMonitor, setName`

Method Detail

### fwdGet

    Pattern fwdGet()

  Returns the pattern coming from the previous layer during the recall phase

  Returns:
    neural.engine.Pattern

### isInputFull

    boolean isInputFull()

### setInputFull

    void setInputFull(boolean inputFull)

### getOutputDimension

    int getOutputDimension()

  Returns the dimension of the input synapse

  Returns:
    int

### revPut

    void revPut(Pattern pattern)

  Method to put an error pattern backward to the previous layer

  Parameters:
    `pattern` - neural.engine.Pattern

### setOutputDimension

    void setOutputDimension(int newOutputDimension)

  Sets the dimension of the input synapse

  Parameters:
    `newOutputDimension` - int

### reset

    void reset()

  reset of the input synapse

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net